Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.outbound
Class OutboundPassThroughRouter

    java.lang.Object
      org.mule.routing.outbound.AbstractOutboundRouter
          org.mule.routing.outbound.FilteringOutboundRouter
              org.mule.routing.outbound.OutboundPassThroughRouter

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, MessageProcessor, MessageRouter, Matchable, MatchableMessageProcessor, MatchableMessageRouter, OutboundRouter, RouterStatisticsRecorder, TransformingMatchable

    public class OutboundPassThroughRouter

extends FilteringOutboundRouter

`OutboundPassThroughRouter` allows outbound routing over a single endpoint without any filtering. This class is used by Mule when a single outbound router is set on a Service.

Field Summary

Fields inherited from class org.mule.routing.outbound.FilteringOutboundRouter
`expressionManager`

Fields inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`enableCorrelation, logger, magicProperties, muleContext, replyTo, resultsHandler, routes, transactionConfig`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`OutboundPassThroughRouter()`

Method Summary
`void` | `addRoute(MessageProcessor target)` Adds a new message processor to the list of routes
`MuleEvent` | `route(MuleEvent event)`
`void` | `setFilter(Filter filter)`
`void` | `setRoutes(List<MessageProcessor> endpoints)`

Methods inherited from class org.mule.routing.outbound.FilteringOutboundRouter
`getFilter, getRoute, getTransformers, initialise, isMatch, isTransformBeforeMatch, isUseTemplates, setTransformers, setUseTemplates`

Methods inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`dispose, getEnableCorrelation, getMuleContext, getReplyTo, getResultsHandler, getRoute, getRouterStatistics, getRoutes, getTransactionConfig, isDynamicRoutes, process, propagateMagicProperties, removeRoute, sendRequest, sendRequestEvent, setEnableCorrelation, setEnableCorrelationAsString, setMessageProcessors, setMessageProperties, setMuleContext, setReplyTo, setResultsHandler, setRouterStatistics, setTransactionConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutboundPassThroughRouter

    public OutboundPassThroughRouter()

Method Detail

### addRoute

    public void addRoute(MessageProcessor target)

  Description copied from interface: `MessageRouter`
  Adds a new message processor to the list of routes

  Specified by:
    `addRoute` in interface `MessageRouter`
  Overrides:
    `addRoute` in class `FilteringOutboundRouter`
  Parameters:
    `target` - new destination message processor

### setRoutes

    public void setRoutes(List<MessageProcessor> endpoints)

  Overrides:
    `setRoutes` in class `AbstractOutboundRouter`

### setFilter

    public void setFilter(Filter filter)

  Overrides:
    `setFilter` in class `FilteringOutboundRouter`

### route

    public MuleEvent route(MuleEvent event)
                    throws RoutingException

  Overrides:
    `route` in class `FilteringOutboundRouter`
  Throws:
    `RoutingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.